package ink.wgink.module.activiti.enums.oa.assignee;

/**
 * @ClassName: QuickAssigneeEnum
 * @Description: 快捷代理人
 * @Author: wanggeng
 * @Date: 2022/4/7 09:44
 * @Version: 1.0
 */
public enum QuickAssigneeEnum {
    FIRST_STEP_ASSIGN("firstStepAssign", "第一步代理人"),
    FIRST_STEP_SUPERIOR_POSITION("firstStepSuperiorPosition", "第一步代理人上级岗位"),
    PREVIOUS_STEP_ASSIGNEE_SUBORDINATE_POSITION("previousStepAssigneeSubordinatePosition", "上一步代理人下级岗位"),
    PREVIOUS_STEP_ASSIGNEE_SUPERIOR_POSITION("previousStepAssigneeSuperiorPosition", "上一步代理人上级岗位"),
    PREVIOUS_STEP_ASSIGNEE_SAME_DEPARTMENT("previousStepAssigneeSameDepartment", "上一步代理人同部门"),
    PREVIOUS_N_STEP_ASSIGNEE_SUBORDINATE_POSITION("previousNStepAssigneeSubordinatePosition", "前N步代理人"),
    PREVIOUS_N_STEP("previousNStep", "前N步");

    private String value;
    private String text;

    QuickAssigneeEnum(String value, String text) {
        this.value = value;
        this.text = text;
    }

    public String getValue() {
        return value == null ? "" : value.trim();
    }

    public String getText() {
        return text == null ? "" : text.trim();
    }
}
